# Class Tag

#### Hierarchy (View Summary)

- Fluent <string, this>
  - Tag

- Defined in packages/util/src/Tags.ts:6

#####
Index

### Constructors

constructor

### Properties

append
concat
count
drop
every
exists
filter
find
first
flatMap
forEach
has
join
keep
last
map
mapTo
nth
prepend
reject
set
slice
some
take
uniq
valueOf
without
xs

### Methods

clone
entry
isAddress
key
setKey
setValue
value
create
from
fromAddress
fromId
fromIdentifier
fromPubkey
fromTopic

##
Constructors

### constructor

- new Tag(...args: [xs: string[]]): Tag

- #### Parameters

  - ...args: [xs: string[]]

  #### Returns Tag

  Inherited from Fluent.constructor

  - Defined in packages/lib/build/src/Tools.d.ts:124

##
Properties

### append

append: (x: string) => this

Inherited from Fluent.append

- Defined in packages/lib/build/src/Fluent.d.ts:32

### concat

concat: (xs: string[]) => this

Inherited from Fluent.concat

- Defined in packages/lib/build/src/Fluent.d.ts:31

### count

count: () => number

Inherited from Fluent.count

- Defined in packages/lib/build/src/Fluent.d.ts:11

### drop

drop: (n: number) => this

Inherited from Fluent.drop

- Defined in packages/lib/build/src/Fluent.d.ts:20

### every

every: (f: (t: string) => boolean) => boolean

Inherited from Fluent.every

- Defined in packages/lib/build/src/Fluent.d.ts:14

### exists

exists: () => boolean

Inherited from Fluent.exists

- Defined in packages/lib/build/src/Fluent.d.ts:12

### filter

filter: (f: (t: string) => boolean) => this

Inherited from Fluent.filter

- Defined in packages/lib/build/src/Fluent.d.ts:21

### find

find: (f: (t: string) => boolean) => undefined | string

Inherited from Fluent.find

- Defined in packages/lib/build/src/Fluent.d.ts:16

### first

first: () => string

Inherited from Fluent.first

- Defined in packages/lib/build/src/Fluent.d.ts:8

### flatMap

flatMap: < U >(f: (t: string) => U []) => Fluent < U >

Inherited from Fluent.flatMap

- Defined in packages/lib/build/src/Fluent.d.ts:27

### forEach

forEach: (f: (t: string, i: number) => void) => void

Inherited from Fluent.forEach

- Defined in packages/lib/build/src/Fluent.d.ts:28

### has

has: (v: string) => boolean

Inherited from Fluent.has

- Defined in packages/lib/build/src/Fluent.d.ts:13

### join

join: (s: string) => string

Inherited from Fluent.join

- Defined in packages/lib/build/src/Fluent.d.ts:29

### keep

keep: (xs: string[]) => this

Inherited from Fluent.keep

- Defined in packages/lib/build/src/Fluent.d.ts:23

### last

last: () => string

Inherited from Fluent.last

- Defined in packages/lib/build/src/Fluent.d.ts:10

### map

map: (f: (t: string) => string) => this

Inherited from Fluent.map

- Defined in packages/lib/build/src/Fluent.d.ts:25

### mapTo

mapTo: < U >(f: (t: string) => U ) => Fluent < U >

Inherited from Fluent.mapTo

- Defined in packages/lib/build/src/Fluent.d.ts:26

### nth

nth: (i: number) => string

Inherited from Fluent.nth

- Defined in packages/lib/build/src/Fluent.d.ts:9

### prepend

prepend: (x: string) => this

Inherited from Fluent.prepend

- Defined in packages/lib/build/src/Fluent.d.ts:33

### reject

reject: (f: (t: string) => boolean) => this

Inherited from Fluent.reject

- Defined in packages/lib/build/src/Fluent.d.ts:22

### set

set: (i: number, x: string) => this

Inherited from Fluent.set

- Defined in packages/lib/build/src/Fluent.d.ts:30

### slice

slice: (a: number, b?: number) => this

Inherited from Fluent.slice

- Defined in packages/lib/build/src/Fluent.d.ts:18

### some

some: (f: (t: string) => boolean) => boolean

Inherited from Fluent.some

- Defined in packages/lib/build/src/Fluent.d.ts:15

### take

take: (n: number) => this

Inherited from Fluent.take

- Defined in packages/lib/build/src/Fluent.d.ts:19

### uniq

uniq: () => this

Inherited from Fluent.uniq

- Defined in packages/lib/build/src/Fluent.d.ts:17

### valueOf

valueOf: () => string[]

Inherited from Fluent.valueOf

- Defined in packages/lib/build/src/Fluent.d.ts:7

### without

without: (xs: string[]) => this

Inherited from Fluent.without

- Defined in packages/lib/build/src/Fluent.d.ts:24

### `Readonly` xs

xs: string[]

Inherited from Fluent.xs

- Defined in packages/lib/build/src/Fluent.d.ts:2

##
Methods

### clone

- clone< K extends Fluent <string>>(this: K , xs: string[]): K

- #### Type Parameters

  - K extends Fluent <string>

  #### Parameters

  - this: K
  - xs: string[]

  #### Returns K

  Inherited from Fluent.clone

  - Defined in packages/lib/build/src/Fluent.d.ts:6

### entry

- entry(): string[]

- #### Returns string[]

  - Defined in packages/util/src/Tags.ts:23

### isAddress

- isAddress(kind?: number): boolean

- #### Parameters

  - `Optional` kind: number

  #### Returns boolean

  - Defined in packages/util/src/Tags.ts:29

### key

- key(): string

- #### Returns string

  - Defined in packages/util/src/Tags.ts:19

### setKey

- setKey(k: string): Tag

- #### Parameters

  - k: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:25

### setValue

- setValue(v: string): Tag

- #### Parameters

  - v: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:27

### value

- value(): string

- #### Returns string

  - Defined in packages/util/src/Tags.ts:21

### `Static` create

- create(): Fluent <never>

- #### Returns Fluent <never>

  Inherited from Fluent.create

  - Defined in packages/lib/build/src/Fluent.d.ts:4

### `Static` from

- from(xs: Iterable<string>): Tag

- #### Parameters

  - xs: Iterable<string>

  #### Returns Tag

  Inherited from Fluent.from

  - Defined in packages/util/src/Tags.ts:7

### `Static` fromAddress

- fromAddress(address: string, relay?: string): Tag

- #### Parameters

  - address: string
  - relay: string = ""

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:17

### `Static` fromId

- fromId(id: string): Tag

- #### Parameters

  - id: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:9

### `Static` fromIdentifier

- fromIdentifier(identifier: string): Tag

- #### Parameters

  - identifier: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:11

### `Static` fromPubkey

- fromPubkey(pubkey: string): Tag

- #### Parameters

  - pubkey: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:15

### `Static` fromTopic

- fromTopic(topic: string): Tag

- #### Parameters

  - topic: string

  #### Returns Tag

  - Defined in packages/util/src/Tags.ts:13